variables:
  #Name of the Markdown-Sourcefile without suffix
  MARKDOWN_SOURCE_FILENAME: "StorageOffers"

preparepandoc:
  tags: 
    - "env:docker"
  image:
    name: registry.gitlab.com/tibhannover/oer/course-pandoc-preparation
    entrypoint: [""]
  stage: build
  script:
    - /build/pandoc-preparation.sh $MARKDOWN_SOURCE_FILENAME --no-license --no-sources --no-tullu
  artifacts:
    untracked: true
    expire_in: 5min

pages:
  tags: 
    - "env:docker"
  image:
    name: pandoc/latex:2.7
    entrypoint: [""]
  stage: deploy
  dependencies:
    - preparepandoc
  script:
    - ls -l
    # generate output files
    - pandoc title.txt $MARKDOWN_SOURCE_FILENAME-prepared.md -f markdown -t latex -s -o $MARKDOWN_SOURCE_FILENAME.pdf --webtex
    - pandoc title.txt $MARKDOWN_SOURCE_FILENAME-prepared.md -f markdown -t html -s -o index.html --include-in-header=metadata.json --katex --css pandoc.css
    - mkdir .public
    - cp -r * .public
    - mv .public public
  artifacts:
    paths:
      - public
  only:
  - main
